[Mailman-Users] pl help me

Richard Barrett r.barrett at openinfo.co.uk
Thu May 13 20:03:21 CEST 2004

On 13 May 2004, at 16:50, Somshekar wrote:

> hi
> i can create mail from shell prompt but when i go on web interface 
> this the error i am getting
> Group mismatch error.  Mailman expected the CGI
> wrapper script to be executed as group "nobody", but
> the system's web server executed the CGI script as
> group "apache".  Try tweaking the web server to run the
> script as group "nobody", or re-run configure,
> providing the command line option `--with-cgi-gid=apache'.
> thanks
> bye

Mailman expects it CGI scripts to be run under a particular gid. It 
looks as though when MM was configured and installed on your system it 
was not told to expect its CGI scripts to be run with the gid 'apache' 
and this is what MM's CGI wrapper has found at run time. Presumably 
this is the value of the Group directive in your Apache installations 
httpd.conf file.

Solution: try doing what the error message tells you; stop mailmanctl, 
run configure, run make install and start mailmanctl.

More information about the Mailman-Users mailing list